Skip to main content
PUT
/
knowledge-base
/
sources
/
{source_id}
Update a source
curl --request PUT \
  --url https://api.anyreach.ai/knowledge-base/sources/{source_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_upload_status": "COMPLETE"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "<string>",
  "name": "<string>",
  "domain": "<string>",
  "chunking_strategy": {
    "chunk_size": 1000
  },
  "file_size": 123,
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Personal access token. See Authentication.

Path Parameters

source_id
string<uuid>
required

The source ID.

Body

application/json

Send only the fields you want to change.

file_upload_status
enum<string>

Upload/ingestion status of the source's content.

Available options:
PENDING,
IN_PROGRESS,
COMPLETE,
FAILED
chunking_strategy
object

How the source's content is split into chunks before embedding.

file_size
integer
description
string

Response

The updated source.

id
string<uuid>

Unique source ID.

organization_id
string
type
enum<string>

Whether the source is an uploaded file or a crawled URL.

Available options:
FILE,
URL
name
string

File name (FILE) or URL (URL).

domain
string | null

Domain, for URL sources.

file_upload_status
enum<string>

Upload/ingestion status of the source's content.

Available options:
PENDING,
IN_PROGRESS,
COMPLETE,
FAILED
chunking_strategy
object

How the source's content is split into chunks before embedding.

file_size
integer | null

Size in bytes, for file sources.

description
string | null
created_at
string<date-time>
updated_at
string<date-time>